3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php require('/foo/bar');
Output for 7.1.20 - 7.2.6
Warning: require(): open_basedir restriction in effect. File(/foo/bar) is not within the allowed path(s): (/tmp:/in) in /in/oefnq on line 3 Warning: require(/foo/bar): failed to open stream: Operation not permitted in /in/oefnq on line 3 Fatal error: require(): Failed opening required '/foo/bar' (include_path='.:') in /in/oefnq on line 3
Process exited with code 255.
Output for 5.5.0 - 7.1.10
Warning: require(/foo/bar): failed to open stream: No such file or directory in /in/oefnq on line 3 Fatal error: require(): Failed opening required '/foo/bar' (include_path='.:') in /in/oefnq on line 3
Process exited with code 255.